# rpm-sign

[![Build Status](https://drone.libreschool.org/api/badges/libreschool-automation/rpm-sign/status.svg)](https://drone.libreschool.org/libreschool-automation/rpm-sign)

Fedora docker image with some packages preinstalled.
This is used to sign .rpm packages.


## Build

```
docker build . -t libreschool-automation/rpm-sign:latest
```

## How NOT to use

```yml
kind: pipeline
name: default

steps:
  - name: pkg_sign
    image: git.libreschool.org/libreschool-automation/rpm-sign:latest
    pull: always
    settings:
      gpg_key: []
      passphrase: supersecretpassword
```

## How to use

Seriously, don't put the GPG key or the passphrase in .drone.yml.


```yml
kind: pipeline
name: default

steps:
  - name: pkg_sign
    image: git.libreschool.org/libreschool-automation/rpm-sign:latest
    pull: always
    settings:
      files: my_package.rpm
      gpg_key:
        from_secret: gpg_key
      passphrase: 
        from_secret: gpg_passphrase    
```

## Parameters


- `files` - .rpm packages to sign; defaults to `*.rpm`
- `gpg_key` - the gpg key (public and private)
- `passphrase` - passphrase to unlock the gpg key

